Downgrade from 1.1.1 to 1.0.2 confirmed...